package com.huatek.busi.service;

import com.huatek.busi.dto.LabReportBasisDataStatisticsDto;
import com.huatek.busi.dto.LabReportParamDataDtos;
import com.huatek.busi.vo.LabReportParamDataVo;
import com.huatek.busi.where.LabReportBasisDataStatisticsWhereVo;
import com.huatek.busi.where.LabReportParamDataSelectVo;

import java.util.List;
import java.util.Map;

public interface ILabReportParamDataService {

    List<LabReportParamDataDtos> findList(Map<String, Object> map);

    int delete(String eqType, String refId);

    int insert(LabReportParamDataVo labReportParamDataVo);

    Map<String, Object> findAll(LabReportParamDataSelectVo labReportParamDataSelectVo);

    List<LabReportBasisDataStatisticsDto> statistics(LabReportBasisDataStatisticsWhereVo labReportBasisDataStatisticsVo);

    int updateByRefIds(List<String> refIds, String eqType);
}
